module ReportFrontend
    class ApplicationController < ActionController::Base
        protect_from_forgery with: :exception

        helper FontAwesome::Rails::IconHelper

        before_action :set_session_store

        private
        def set_session_store
            ::ReportFrontend::TokenManager.set_store(session)
        end

    end
end
